View Issue Details

IDProjectCategoryView StatusLast Update
0001031bareos-core[All Projects] file daemonpublic2019-12-18 18:26
ReporterRoyKAssigned Toarogge 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionreopened 
PlatformUbuntuOSLinuxOS Version18.04
Product Version18.4.1 
Fixed in Version 
Summary0001031: If attempting to backup to a bareos 16 director (running debian stretch), fd segfaultsq
DescriptionAn attempt to backup Ubuntu 18.04 with bareos-fd 18.x (both release and daily) to Bareos 16 on a Debian Stretch, first results in an error establishing TLS, and after disabling TLS in the FD, this kills the FD with a SIGSEGV. I had this on one VM some time back, but thought 'oh well', but now I have another, and this one is more important.
Steps To ReproduceTry to backup ubuntu 18.04 with bareos-fd v18 to debian running bareos-dir 16. I have both dir and sd running on this machine.
Additional Information
I would guess the problem is between bareos versions and not directly related to distro version, although I really don't know. I haven't been able to create a dump/backtrace.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

arogge

arogge

2019-07-15 10:11

developer   ~0003467

newer Director and SD with older FD is ok, newer FD with older Director and SD is not.
RoyK

RoyK

2019-12-18 17:13

reporter   ~0003701

ok, so the full answer is "We don't care about people using a distro without our client, and all we offer for downloads, are the newest client, regardless of its lack of compatibility with older servers" ?
arogge

arogge

2019-12-18 18:26

developer   ~0003703

The answer is, that Bareos is an open source project and not an open binary project.
We also provide every binary version that has ever been released for download, so you can still download Bareos 12.4 if you like to.

Please excuse that we do not provide recent Binaries for every platform you might ever need for free. Feel free to get the sources from GitHub and build every version you want for every distro you want.
If you need somebody in 2019 to build binaries for a Bareos version dated 2016 on a Debian dated 2017, you might consider buying a subscription at bareos.com. With that you will get recent versions of 16.2, 17.2 and 18.2 for Debian stretch.

Issue History

Date Modified Username Field Change
2018-12-09 22:55 RoyK New Issue
2019-07-15 10:11 arogge Assigned To => arogge
2019-07-15 10:11 arogge Status new => resolved
2019-07-15 10:11 arogge Resolution open => won't fix
2019-07-15 10:11 arogge Note Added: 0003467
2019-12-18 15:24 arogge Status resolved => closed
2019-12-18 17:13 RoyK Status closed => new
2019-12-18 17:13 RoyK Resolution won't fix => reopened
2019-12-18 17:13 RoyK Note Added: 0003701
2019-12-18 18:26 arogge Status new => closed
2019-12-18 18:26 arogge Note Added: 0003703